<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetErrorName Method (IEdmVault11)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVault11 Interface : GetErrorName Method (IEdmVault11)

Visual Basic
C#
C++/CLI

lHRESULT
  Error code for which to get the internal name

Gets an internal error code name for the specified error code.

# Syntax

Visual Basic |
--- | ---

    Function GetErrorName( _
       ByVal lHRESULT As System.Integer _
    ) As System.String

C# |
--- | ---

    System.string GetErrorName(
       System.int lHRESULT
    )

C++/CLI |
--- | ---

    System.String^ GetErrorName(
    &   System.int lHRESULT
    )

#### Parameters

lHRESULT
  Error code for which to get the internal name

#### Return Value

Internal error code name

# Example

Get and Set Item References (C#)
Get and Set Item References (VB.NET)

# Remarks

This method returns the internal error code name for an HRESULT error code. For example, if lHRESULT is 0x80040204, this method returns "E_EDM_NOT_LOGGED_IN".

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmVault11 Interface
IEdmVault11 Members
IEdmVault11::GetErrorMessage Method ()

# Availability

SOLIDWORKS PDM Professional 2010